Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.pastry.socket.messaging
Class PingMessage

    java.lang.Object
      rice.pastry.messaging.Message
          rice.pastry.messaging.PRawMessage
              rice.pastry.socket.messaging.SocketMessage
                  rice.pastry.socket.messaging.DatagramMessage
                      rice.pastry.socket.messaging.PingMessage

All Implemented Interfaces:
  java.io.Serializable, Message, RawMessage

    public class PingMessage

extends DatagramMessage

Class which represents a "ping" message sent through the socket pastry system.

Version:
  $Id: PingMessage.java 3274 2006-05-15 16:17:47Z jeffh $
Author:
  Alan Mislove
See Also:
  Serialized Form

Field Summary
`static short` | `TYPE` DESCRIBE THE FIELD

Fields inherited from class rice.pastry.socket.messaging.DatagramMessage
`start`

Fields inherited from class rice.pastry.messaging.Message
`DEFAULT_PRIORITY_LEVEL`

Fields inherited from interface rice.p2p.commonapi.Message
`HIGH_PRIORITY, LOW_PRIORITY, MAX_PRIORITY, MEDIUM_HIGH_PRIORITY, MEDIUM_LOW_PRIORITY, MEDIUM_PRIORITY`

Constructor Summary
`PingMessage(InputBuffer buf)` Constructor for PingMessage.
`PingMessage(long start)` Constructor

Method Summary
`short` | `getType()` Gets the Type attribute of the PingMessage object
`java.lang.String` | `toString()` Converts to a String representation of the object.

Methods inherited from class rice.pastry.socket.messaging.DatagramMessage
`getStartTime, serialize`

Methods inherited from class rice.pastry.messaging.Message
`getDate, getDestination, getPriority, getSender, getSenderId, setPriority, setSender, stamp`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface rice.p2p.commonapi.Message
`getPriority`

Field Detail

### TYPE

    public static final short TYPE

  DESCRIBE THE FIELD

  See Also:
    Constant Field Values

Constructor Detail

### PingMessage

    public PingMessage(long start)

  Constructor

  Parameters:
    `start` - DESCRIBE THE PARAMETER

### PingMessage

    public PingMessage(InputBuffer buf)
                throws java.io.IOException

  Constructor for PingMessage.

  Parameters:
    `buf` - DESCRIBE THE PARAMETER
  Throws:
    `java.io.IOException` - DESCRIBE THE EXCEPTION

Method Detail

### getType

    public short getType()

  Gets the Type attribute of the PingMessage object

  Returns:
    The Type value

### toString

    public java.lang.String toString()

  Converts to a String representation of the object.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    A string representation of the object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.